Skip to main content
GET
Get message template

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Path Parameters

id
string
required

Identifier of the message template.

Response

Message template details

An email or WhatsApp message template used by reminders and workflows.

id
string
required

Unique identifier of the message template.

Example:

"msgt_1234567890abcdefghij"

createdAt
string<date-time>
required

When the template was created.

updatedAt
string<date-time>
required

When the template was last updated.

organizationId
string
required

Organization that owns the template.

name
string
required

Name of the template.

Example:

"Recordatorio de pago"

description
string | null
required

Optional description of the template.

channel
enum<string>
required

Channel the template is sent through.

Available options:
EMAIL,
SMS,
WHATSAPP
purpose
enum<string> | null
required

Automatic message this template is the default for, if any.

Available options:
PAYMENT_REMINDER_NEAR_DUE,
PAYMENT_REMINDER_DUE,
PAYMENT_REMINDER_NEAR_OVERDUE,
DECLINED_PAYMENT,
PAYMENT_RECEIPT,
CARD_EXPIRY_NOTICE,
WHATSAPP_OPT_IN,
LOGIN_VERIFICATION_CODE,
MESSAGE_PREVIEW_NOTIFICATION,
PENDING_INVOICES_REMINDER,
null
emailTemplate
object | null
required

Subject, body, and link text of an EMAIL template.

smsTemplate
object | null
required

Body of an SMS template.

whatsappTemplate
object | null
required

WhatsApp template and parameter values of a WHATSAPP template.